Bug 426107 - sigsegv when displaying non-existing file after short file
sigsegv when displaying non-existing file after short file
Product: Fedora
Classification: Fedora
Component: less (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-18 12:05 EST by Petr Machata
Modified: 2015-05-04 21:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: 406-13.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-20 15:15:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ltrace of the command (160.25 KB, application/octet-stream)
2007-12-18 12:05 EST, Petr Machata
no flags Details

  None (edit)
Description Petr Machata 2007-12-18 12:05:39 EST
Description of problem:
When you have less display a file that fits to single screen, and a non-existing
file, less sigsegvs when you request the second file be displayed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
$ ls -ls vile-9.5/w32ole.rc foo
ls: cannot access foo: No such file or directory
8 -rw-r--r-- 1 petr petr 45 1998-11-05 01:42 vile-9.5/w32ole.rc
$ less vile-9.5/w32ole.rc foo
<press :n>
Actual results:
Segmentation fault.

Expected results:
"File foo not found." or something like that.

I will attach the output of ltrace.
Comment 1 Petr Machata 2007-12-18 12:05:39 EST
Created attachment 289903 [details]
ltrace of the command
Comment 2 Fedora Update System 2007-12-20 15:15:47 EST
less-406-13.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.